### Function

# FwupdPlugin EfiHardDriveDevicePath signature_type_to_string

#### Declaration [src]

    const gchar*
    fu_efi_hard_drive_device_path_signature_type_to_string (
      FuEfiHardDriveDevicePathSignatureType val
    )

#### Description [src]

Converts an enumerated value to a string.

#### Parameters

`val` | `FuEfiHardDriveDevicePathSignatureType`
| Value, e.g. `FU_EFI_HARD_DRIVE_DEVICE_PATH_SIGNATURE_TYPE_ADDR1B8`

#### Return value

Returns: | `const gchar*`
| Identifier string.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.